#include <Wire.h>
#include <bmp085.h>

#define ONEATMOSPHERE 102510



void setup()
{
  Serial.begin(115200);
 ////// Wire.begin();
  bmp085_init();

}


float temp;
long presPascal,presAtm;
float height;


void loop()
{

  temp = bmp085Temp(); // skal kaldes LIGE FØR pressure måling
  presPascal = bmp085Pressure();

  presAtm = presPascal / ONEATMOSPHERE;

  // her kan i sætte dagens lufttryk ind så højden passer
  height =  bmp085PascalToMeter(presPascal,ONEATMOSPHERE);
  Serial.print("Temp(C) ");
  Serial.print(temp);
  Serial.print(" Tryk(pascal) "); 
  Serial.print(presPascal);
  Serial.print(" Hoejde(m) ");
  Serial.println(height);
  delay(100);
}
